Bug 22674 - Change wording of payments in the GUI
Summary: Change wording of payments in the GUI
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-09 18:36 UTC by Katrin Fischer
Modified: 2019-04-26 15:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22674: Change wording of payments in the GUI (4.18 KB, patch)
2019-04-09 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22674: Change wording of payments in the GUI (4.22 KB, patch)
2019-04-10 11:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22674: Change wording of payments in the GUI (3.18 KB, patch)
2019-04-17 12:55 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22674: Change wording of payments in the GUI (3.32 KB, patch)
2019-04-23 12:39 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-09 18:36:36 UTC
For payments we currently have:

[%- CASE 'Pay'   -%]<span>Payment, thanks</span>
[%- CASE 'Pay00' -%]<span>Payment, thanks (cash via SIP2)</span>
[%- CASE 'Pay01' -%]<span>Payment, thanks (VISA via SIP2)</span>
[%- CASE 'Pay02' -%]<span>Payment, thanks (credit card via SIP2)</span>

After a quick survey on IRC I Propose to remove ", thanks".
Comment 1 Katrin Fischer 2019-04-09 22:05:45 UTC
Created attachment 87688 [details] [review]
Bug 22674: Change wording of payments in the GUI

This changes the different versions of "Payment, thanks"
to just read "Payment".

To test:
- Look at the Fines & Charges tables in
  - OPAC patron account > your fines
  - Staff patron account > Accounting > Transactions tab
  - Staff patron account > Accounting > Make a payment tab
- Verify all tables display the descriptions correctly
- Decide if you like this better than before
  Yes: sign-off
  No: comment on the bug please
Comment 2 Owen Leonard 2019-04-10 11:52:04 UTC
Created attachment 87707 [details] [review]
Bug 22674: Change wording of payments in the GUI

This changes the different versions of "Payment, thanks"
to just read "Payment".

To test:
- Look at the Fines & Charges tables in
  - OPAC patron account > your fines
  - Staff patron account > Accounting > Transactions tab
  - Staff patron account > Accounting > Make a payment tab
- Verify all tables display the descriptions correctly
- Decide if you like this better than before
  Yes: sign-off
  No: comment on the bug please

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2019-04-10 12:12:01 UTC
Do we also need a database update to fix existing entries?
Comment 4 Katrin Fischer 2019-04-10 12:44:25 UTC
I checked my database and couldn't find any entries with 'Payment, thanks', my descriptions on payments were empty. I imagine maybe some old databases might have them still, but I don't have an example line to test with - it would be many versions ago.
Comment 5 Josef Moravec 2019-04-17 12:55:31 UTC
Created attachment 88191 [details] [review]
Bug 22674: Change wording of payments in the GUI

This changes the different versions of "Payment, thanks"
to just read "Payment".

To test:
- Look at the Fines & Charges tables in
  - OPAC patron account > your fines
  - Staff patron account > Accounting > Transactions tab
  - Staff patron account > Accounting > Make a payment tab
- Verify all tables display the descriptions correctly
- Decide if you like this better than before
  Yes: sign-off
  No: comment on the bug please

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2019-04-19 14:36:28 UTC
Needs a minor rebase please
Comment 7 Josef Moravec 2019-04-23 12:39:05 UTC
Created attachment 88469 [details] [review]
Bug 22674: Change wording of payments in the GUI

This changes the different versions of "Payment, thanks"
to just read "Payment".

To test:
- Look at the Fines & Charges tables in
  - OPAC patron account > your fines
  - Staff patron account > Accounting > Transactions tab
  - Staff patron account > Accounting > Make a payment tab
- Verify all tables display the descriptions correctly
- Decide if you like this better than before
  Yes: sign-off
  No: comment on the bug please

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Josef Moravec 2019-04-23 12:39:38 UTC
(In reply to Nick Clemens from comment #6)
> Needs a minor rebase please

Done
Comment 9 Katrin Fischer 2019-04-23 21:52:55 UTC
(In reply to Josef Moravec from comment #8)
> (In reply to Nick Clemens from comment #6)
> > Needs a minor rebase please
> 
> Done

Thank you, Josef!
Comment 10 Nick Clemens 2019-04-24 11:43:00 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-04-26 15:00:10 UTC
Enhancement will not be backported to 18.11.x series.